#ifndef PROXY_H
#define PROXY_H

#include "configure.h"

#if SUPPORT_PROXY
#include "httpd.h"

enum {
	CONNECTED = 1,
	WRITE_HEADER_BE,
	WRITE_POST,
	READ_RESPONSE,
	READ_RESPONSE_H,
	COPY_HEADER,
	READ_BODY,
	WAIT_MEMORY,
	FINISHED,
	FAULT
};


char initProxyRequests();
void freeProxyRequests();
void cleanupProxy();
ProxyRequest* closeProxy(ProxyRequest* r);
void proxy(ProxyRequest* r);
int handleProxyRequest(Request* request);
int getProxyStats(char* buffer, int size, char show, char* uri);
void resetTodayProxy();

#if MODEL == MODEL_POLL
int fillProxyPoll(struct pollfd* pollfds);
#endif


#endif

#endif
